#include<iostream>

using namespace std;

int main()
{
    long n,k,o;
    long niz[2n+1];
    for(long i=0;i<n;i++)
    {
        cin>>o;
        niz[o]++;
    }
       for(long j=-n;j<=n;j++)
    {
     if(niz[j]>=k)
     {
         cout<<niz[j];
     }
    }
}